Bug 198229 - ldd -r reports undefined symbols
ldd -r reports undefined symbols
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: m17n-lib (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Mayank Jain
:
Depends On:
Blocks: ldd-r-kh
  Show dependency treegraph
 
Reported: 2006-07-10 11:12 EDT by Karsten Hopp
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-08 01:01:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2006-07-10 11:12:12 EDT
Note: ldd can't handle dlopen'ed dependent libraries and these unresolved symbols
might be resolved by those. But this needs to be checked.
Reproducer: rpm -ql <packagename>| grep lib.*so | xargs ldd -r


m17n-lib-devel-1.3.3-1
undefined symbol: Mlanguage     (/usr/lib/libm17n-core.so)
Comment 1 Mayank Jain 2007-01-15 04:57:34 EST
Hi Karsten,

m17n-lib-1.3.4-1.1.fc7 gives the following output...

[majain@majain ~]$ rpm -ql m17n-lib| grep lib.*so | xargs ldd -r
/usr/lib/libm17n-core.so.0:
        linux-gate.so.1 =>  (0x00d02000)
        libc.so.6 => /lib/libc.so.6 (0x00702000)
        /lib/ld-linux.so.2 (0x79f57000)
/usr/lib/libm17n-core.so.0.1.0:
        linux-gate.so.1 =>  (0x00a5b000)
        libc.so.6 => /lib/libc.so.6 (0x00b0f000)
        /lib/ld-linux.so.2 (0x62962000)
/usr/lib/libm17n.so.0:
        linux-gate.so.1 =>  (0x00dc0000)
        libm17n-core.so.0 => /usr/lib/libm17n-core.so.0 (0x00a62000)
        libdl.so.2 => /lib/libdl.so.2 (0x0021d000)
        libc.so.6 => /lib/libc.so.6 (0x00264000)
        /lib/ld-linux.so.2 (0x44cde000)
/usr/lib/libm17n.so.0.1.0:
        linux-gate.so.1 =>  (0x00d8e000)
        libm17n-core.so.0 => /usr/lib/libm17n-core.so.0 (0x0083e000)
        libdl.so.2 => /lib/libdl.so.2 (0x00689000)
        libc.so.6 => /lib/libc.so.6 (0x00a61000)
        /lib/ld-linux.so.2 (0x71b85000)

So I think, this bug is not valid anymore or has been fixed.

Moving to MODIFIED.

Thanks,
Mayank
Comment 2 Jens Petersen 2007-03-08 00:58:52 EST
Mayank, could you test m17n-lib-devel too please.
Comment 3 Jens Petersen 2007-03-08 01:01:56 EST
Nevermind, probably it was a 1.3.3 bug?
Comment 4 Mayank Jain 2007-03-08 02:19:14 EST
oh, ok :)
Thanks Jens.

Note You need to log in before you can comment on or make changes to this bug.